Package com.xmlmind.w2x.docx.toxhtml

## Enum XHTMLVersion

- java.lang.Object
- - java.lang.Enum<XHTMLVersion>
  - - com.xmlmind.w2x.docx.toxhtml.XHTMLVersion

- All Implemented Interfaces:
    `Serializable`, `Comparable<XHTMLVersion>`

      public enum XHTMLVersion
      extends Enum<XHTMLVersion>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `V1_0_Frameset` |
    `V1_0_Strict` |
    `V1_0_Transitional` |
    `V1_1` |
    `V5_0` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static XHTMLVersion` | `fromString​(String spec)` |
    `String` | `getPublicId()` |
    `String` | `getSystemId()` |
    `String` | `toString()` |
    `static XHTMLVersion` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static XHTMLVersion[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### V1_0_Transitional

          public static final XHTMLVersion V1_0_Transitional

    - #### V1_0_Strict

          public static final XHTMLVersion V1_0_Strict

    - #### V1_0_Frameset

          public static final XHTMLVersion V1_0_Frameset

    - #### V1_1

          public static final XHTMLVersion V1_1

    - #### V5_0

          public static final XHTMLVersion V5_0

  - ### Method Detail

    - #### values

          public static XHTMLVersion[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (XHTMLVersion c : XHTMLVersion.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static XHTMLVersion valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### fromString

          public static XHTMLVersion fromString​(String spec)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<XHTMLVersion>`

    - #### getPublicId

          public String getPublicId()

    - #### getSystemId

          public String getSystemId()